> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch rate cards of a fee component



## OpenAPI

````yaml GET /billing/ratecard/feeComponent/fetch/{fee_component_id}
openapi: 3.1.0
info:
  title: OpenAPI Valyx API
  description: To demonstrate features in the Valyx
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.valyx.com
security:
  - bearerAuth:
      - demo-api
tags:
  - name: billing
    description: External Billing APIs
  - name: external
    description: External APIs for customers
  - name: invoice
    description: Invoice APIs
  - name: creditNote
    description: Credit Note APIs
paths:
  /billing/ratecard/feeComponent/fetch/{fee_component_id}:
    parameters:
      - name: fee_component_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - billing
      operationId: get_fetch_all_rate_card
      parameters:
        - name: contractId
          in: query
          description: If passed will return all the ratecards available for a contract
          schema:
            type: string
        - name: showEmptyCombinations
          in: query
          description: >-
            If false will return only the combinations of tags that have at
            least one ratecard
          schema:
            type: string
            default: 'false'
        - name: X-Valyx-Signature
          in: header
          required: true
          description: Auth key for fetching ledger entries
          schema:
            type: string
        - name: X-Fields
          in: header
          description: An optional fields mask
          schema:
            type: string
            format: mask
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchRateCardsResponseModel'
components:
  schemas:
    FetchRateCardsResponseModel:
      properties:
        error:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/FetchRateCardsResponseModelData'
      type: object
    FetchRateCardsResponseModelData:
      properties:
        tags:
          type: object
        ratecards:
          type: array
          items:
            $ref: '#/components/schemas/FetchRateCardsResponseModelDataratecards'
      type: object
    FetchRateCardsResponseModelDataratecards:
      properties:
        id:
          type: object
        name:
          type: object
        ratecardDescription:
          type: object
        feeComponentId:
          type: object
        description:
          type: object
        ratecardDetail:
          type: object
        tags:
          type: object
        companyId:
          type: object
        contractId:
          type: object
        currency:
          type: object
        currencyId:
          type: object
        createdBy:
          type: object
        isDefault:
          type: object
        status:
          type: object
        isTierSplitEnabled:
          type: object
        startDate:
          type: object
        endDate:
          type: object
        fallBackRatecardId:
          type: object
      type: object

````